Package org.opensaml.saml.common.binding

# Enum Class MessageType

java.lang.Object
java.lang.Enum<MessageType>
org.opensaml.saml.common.binding.MessageType

All Implemented Interfaces:
  `Serializable`, `Comparable<MessageType>`, `Constable`

public enum MessageType extends Enum<MessageType>
Enum for representing SAML message types based on HTTP request parameters: request, response, artifact.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ARTIFACT`
Artifact.
`REQUEST`
Request.
`RESPONSE`
Response.

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final org.slf4j.Logger`
`LOG`
Logger.
`private final String`
`paramName`
Parameter name.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`MessageType(String name)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`static MessageType`
`fromParameterName(String paramName)`
Return the enum value whose parameter name matches the specified name.
`static Set<String>`
`getAllParameterNames()`
Get the set of all valid message parameter names.
`String`
`getParameterName()`
Get the parameter name.
`static MessageType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MessageType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### REQUEST

public static final MessageType REQUEST
Request.

### RESPONSE

public static final MessageType RESPONSE
Response.

### ARTIFACT

public static final MessageType ARTIFACT
Artifact.

## Field Details

### LOG

private static final org.slf4j.Logger LOG
Logger.

### paramName

private final String paramName
Parameter name.

## Constructor Details

### MessageType

private MessageType(@Nonnull String name)
Constructor.

Parameters:
  `name` - parameter name

## Method Details

### values

public static MessageType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MessageType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getParameterName

public String getParameterName()
Get the parameter name.

Returns:
  the parameter name

### fromParameterName

public static MessageType fromParameterName(@Nullable String paramName)
Return the enum value whose parameter name matches the specified name.

Parameters:
  `paramName` - the parameter name
Returns:
  the matching MessageType enum value, or none

### getAllParameterNames

@Nonnull @NotLive public static Set<String> getAllParameterNames()
Get the set of all valid message parameter names.

Returns:
  the set of all message parameter names